Resource URL
Before calling this API, consider using its version /1 or version /2 equivalent.
https://api.onelogin.com/api/v3/users/:idParameters
id required string | Set to the user's ID with .xml appended. For example, 123456.xml. If you don't know the user's id, use the Get Users API call to return all users and their id values. |
Sample Response
- 200 OK
- 404 Not Found
This request generates no response.<error>
<title>Record Not Found</title>
<message>No user found by id '11111'</message>
</error>Sample cURL Request
**Try it out with a test account first: **Start off with using this cURL request with a test OneLogin account and API key. Once you’ve familiarized yourself with the API’s behavior, switch over to using your production OneLogin account and API key. Be sure to replace placeholder values surrounded by
{ }with actual values.
curl -v -u {api_key}:x -X DELETE https://api.onelogin.com/api/v3/users/{user_id}.xmlPostman Collection
Have a Question?
Found a problem or a bug? Submit a support ticket.
Looking for walkthroughs or how-to guides? Check out our Knowledge Base.
Have a product idea or request? Share it in our Ideas Portal.